function [ M_new ] = error_generator_cl( M )

measurement_units = M;

% -------- Measurement standard deviation input -------
sd = 0.02;

pd1 = makedist('Normal','mu',1,'sigma',sd);

num_t_1 = 0; % Amount of type 1 measurements
num_t_4 = 0; % Amount of type 2 measurements
num_t_5 = 0; % Amount of type 3 measurements
for n = 1:length(measurement_units)
    if measurement_units(n,2) == 1      
        num_t_1 = num_t_1 + 1;
    elseif measurement_units(n,2) == 4
        num_t_4 = num_t_4 + 1;
    elseif measurement_units(n,2) == 5
        num_t_5 = num_t_5 + 1;
    end
end

for n = 1:(num_t_1)  
    measurement_units(n,3) = measurement_units(n,3) * random(pd1);
end
for n = 1:(num_t_4 + num_t_5)  
    measurement_units(n + num_t_1,3) = measurement_units(n + num_t_1,3) * random(pd1) * random(pd1);
end



M_new = measurement_units;




% ---------------- PRINTING FOR VALIATION -------------------

 measurement_units_unchanged    = [
            %---- Voltage Magnitude ------------%
            1     1    1.05206     1       0   9e-4;
            2     1    1.04888     2       0   9e-4;
            3     1    1.05679     3       0   9e-4;
            4     1    1.04545     4       0   9e-4;
            5     1    1.05004     5       0   9e-4;
            6     1    1.03936     6       0   9e-4;
            7     1    1.03814     7       0   9e-4;
            8     1    1.04253     8       0   9e-4;
            9     1    1.04713     9       0   9e-4;
            10    1    1.05080     10      0   9e-4;
            %-----------------------------------%
            %---- Real Power Injection ---------%
           % 11     2    0.1830   1       2   1e-4;

           %------------------------------------%
           %---- Reative Power Injection -------%
          % 10     3    0.3523   2       0   1e-4;

           %------------------------------------%
           %------ Real Power Flow ------------- %
            11     4    0.0306   1       2   1e-4;
            12     4    -0.0193   1       3   1e-4;
            13     4   -0.0304   2       1   1e-4; 
            14     4    -0.0254     2       4   1e-4;
            15     4    0.0193     3       1   1e-4; 
            16     4   0.0141   3       4   1e-4;
            17     4   0.0255  4       2   1e-4;
            18     4   -0.014  4       3   1e-4; 
            19     4   -0.0403  4       5   1e-4; 
            20     4   0.041  5       4   1e-4; 
            21     4   0.0056  5       6   1e-4; 
            22     4   0.0039  5       7   1e-4; 
            23     4   -0.0055  6       5   1e-4; 
            24     4   -0.0052  6       7   1e-4; 
            25     4   -0.0038  7       5   1e-4; 
            26     4   0.0052  7       6   1e-4; 
            27     4   -0.0287  7       8   1e-4; 
            28     4   0.029  8       7   1e-4; 
            29     4   -0.0299  8       9   1e-4; 
            30     4   0.0302  9       8   1e-4; 
            31     4   -0.0313  9       10   1e-4; 
            32     4   0.0316  10       9   1e-4;
          
           %------------------------------------%
           %------ Real Power Flow ------------- %
            33     5    -0.0051   1       2   1e-4;
            34     5    -0.0023   1       3   1e-4;
            35     5    0.0004  2       1   1e-4; 
            36     5    0.0066     2       4   1e-4;
            37     5    -0.0003     3       1   1e-4; 
            38     5   0.0016   3       4   1e-4;
            39     5   -0.0088  4       2   1e-4;
            40     5   -0.0059  4       3   1e-4; 
            41     5   0.0069  4       5   1e-4; 
            42     5   -0.0082  5       4   1e-4; 
            43     5   0.0038  5       6   1e-4; 
            44     5   0.0033  5       7   1e-4; 
            45     5   -0.0072  6       5   1e-4; 
            46     5   0.0045  6       7   1e-4; 
            47     5   -0.0073  7       5   1e-4; 
            48     5   -0.0053  7       6   1e-4; 
            49     5   0.0047  7       8   1e-4; 
            50     5   -0.0057  8       7   1e-4; 
            51     5   0.0057  8       9   1e-4; 
            52     5   -0.0069  9       8   1e-4; 
            53     5   0.0068  9       10   1e-4; 
            54     5   -0.0078  10       9   1e-4; ];

        
%------ FOR PRINTING PERCENTAGE ERRORS IN MAGNITUDE AND ANGLE ---------
% 
% for n = 1:(num_t_1+num_t_4+num_t_5)
%      st = [num2str(n) ': ' num2str(100 * (measurement_units(n,3) - measurement_units_unchanged(n,3)))];
%      disp(st);
% end

end