function [measurements] = error_dynamic( measurements_old , time )

num_t_1 = 0; % Amount of type 1 measurements
num_t_4 = 0; % Amount of type 4 measurements
num_t_5 = 0; % Amount of type 5 measurements
for n = 1:length(measurements_old)
    if measurements_old(n,2) == 1      
        num_t_1 = num_t_1 + 1;
    elseif measurements_old(n,2) == 4
        num_t_4 = num_t_4 + 1;
    elseif measurements_old(n,2) == 5
        num_t_5 = num_t_5 + 1;
    end
end

measurements = measurements_old;

% ---------------------------------------------------------
% ---------------------- TIME SELECTION -------------------
time_start = time;
time_stop = time + 5000;
% ---------------------------------------------------------
% ---------------------------------------------------------

% --------------- VOLTAGES --------------



a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'U_ALTA1');
measurements(1,3) = serie(a);

st = '1 of 54';
disp(st);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'U_SKAIDI1');
measurements(2,3) = serie(a);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'U_SAUTSO1');
measurements(3,3) = serie(a);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'U_LAKSELV1');
measurements(4,3) = serie(a);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'U_ADAMSEL1');
measurements(5,3) = serie(a);

st = '5 of 54';
disp(st);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'U_TANA1');
measurements(6,3) = serie(a);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'U_VARANGB1');
measurements(7,3) = serie(a);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'U_T_GANDVIK1');
measurements(8,3) = serie(a);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'U_T_NEIDEN1');
measurements(9,3) = serie(a);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'U_KIRKENS1');
measurements(10,3) = serie(a);

st = '10 of 54';
disp(st);

% ------------------- Active Power Flows ---------------------

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'ALTA1_SKAIDI1_1_P');
measurements(11,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'ALTA1_SAUTSO1_1_P');
measurements(12,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'SKAIDI1_ALTA1_1_P');
measurements(13,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'SKAIDI1_LAKSELV1_1_P');
measurements(14,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'SAUTSO1_ALTA1_1_P');
measurements(15,3) = serie(a) / 1000;

st = '15 of 54';
disp(st);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'SAUTSO1_LAKSELV1_1_P');
measurements(16,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'LAKSELV1_SKAIDI1_1_P');
measurements(17,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'LAKSELV1_SAUTSO1_1_P');
measurements(18,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'LAKSELV1_ADAMSEL1_1_P');
measurements(19,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'ADAMSEL1_LAKSELV1_1_P');
measurements(20,3) = serie(a) / 1000;

st = '20 of 54';
disp(st);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'ADAMSEL1_TANA1_1_P');
measurements(21,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'ADAMSEL1_VARANGB1_1_P');
measurements(22,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'TANA1_ADAMSEL1_1_P');
measurements(23,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'TANA1_VARANGB1_1_P');
measurements(24,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'VARANGB1_ADAMSEL1_1_P');
measurements(25,3) = serie(a) / 1000;

st = '25 of 54';
disp(st);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'VARANGB1_TANA1_1_P');
measurements(26,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'VARANGB1_T_GANDVIK1_1_P');
measurements(27,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'T_GANDVIK1_VARANGB1_1_P');
measurements(28,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'T_GANDVIK1_T_NEIDEN1_1_P');
measurements(29,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'T_NEIDEN1_T_GANDVIK1_1_P');
measurements(30,3) = serie(a) / 1000;

st = '30 of 54';
disp(st);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'T_NEIDEN1_KIRKENS1_1_P');
measurements(31,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'KIRKENS1_T_NEIDEN1_1_P');
measurements(32,3) = serie(a) / 1000;


% ------------------- Reactive Power Flows ---------------------

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'ALTA1_SKAIDI1_1_Q');
measurements(33,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'ALTA1_SAUTSO1_1_Q');
measurements(34,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'SKAIDI1_ALTA1_1_Q');
measurements(35,3) = serie(a) / 1000;

st = '35 of 54';
disp(st);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'SKAIDI1_LAKSELV1_1_Q');
measurements(36,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'SAUTSO1_ALTA1_1_Q');
measurements(37,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'SAUTSO1_LAKSELV1_1_Q');
measurements(38,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'LAKSELV1_SKAIDI1_1_Q');
measurements(39,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'LAKSELV1_SAUTSO1_1_Q');
measurements(40,3) = serie(a) / 1000;

st = '40 of 54';
disp(st);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'LAKSELV1_ADAMSEL1_1_Q');
measurements(41,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'ADAMSEL1_LAKSELV1_1_Q');
measurements(42,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'ADAMSEL1_TANA1_1_Q');
measurements(43,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'ADAMSEL1_VARANGB1_1_Q');
measurements(44,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'TANA1_ADAMSEL1_1_Q');
measurements(45,3) = serie(a) / 1000;

st = '45 of 54';
disp(st);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'TANA1_VARANGB1_1_Q');
measurements(46,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'VARANGB1_ADAMSEL1_1_Q');
measurements(47,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'VARANGB1_TANA1_1_Q');
measurements(48,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'VARANGB1_T_GANDVIK1_1_Q');
measurements(49,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'T_GANDVIK1_VARANGB1_1_Q');
measurements(50,3) = serie(a) / 1000;

st = '50 of 54';
disp(st);

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'T_GANDVIK1_T_NEIDEN1_1_Q');
measurements(51,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'T_NEIDEN1_T_GANDVIK1_1_Q');
measurements(52,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'T_NEIDEN1_KIRKENS1_1_Q');
measurements(53,3) = serie(a) / 1000;

a = floor( 5000 * rand() );
serie = return_series(time_start , time_stop , 'KIRKENS1_T_NEIDEN1_1_Q');
measurements(54,3) = serie(a) / 1000;




end