function [measurements] = get_values( t_start , t_stop , type)


branches = [
    1 1 2 0.22669+1.3055i 0.00526i;
    2 1 3 0.19224+0.7807i 0.00257i;
    3 2 4 0.25195+1.30183i 0.00272i;
    4 3 4 0.37478+1.52958i 0.00408i;
    5 4 5 0.49047+2.01225i 0.00404i;
    6 5 7 0.56704+1.9329i 0.00375i;
    7 5 6 0.39337+1.61331i 0.00324i;
    8 6 7 0.0871+0.35686i 0.00071i;
    9 7 8 0.300256+0.786273i 0.001505i;
    10 8 9 0.353396+0.925427i 0.001771i;
    11 9 10 0.316168+0.82794i 0.001584i
    ];


% Type selection:
% Type 1 = PMU measurements
% Type 2 = SCADA measurements
if type == 1
    % [Unit_nr , Type , Bus_f , Bus_t , Measurement_value , confidence]
    measurements = [
    % Type 1: PMU bus voltage measurements
    1 1 1 0 0 10;
    2 1 5 0 0 10;
    3 1 7 0 0 10;
    4 1 10 0 0 10;
    % Type 2: PMU branch current measurement
    5 2 1 2 0 10;
    6 2 1 3 0 10;
    7 2 5 4 0 10;
    8 2 5 7 0 10; 
    9 2 5 6 0 10;
    10 2 7 5 0 10;
    11 2 7 6 0 10;
    12 2 7 8 0 10;
    13 2 10 9 0 10;
    % Type 3: Classic state estimation bus voltage value
    14 3 1 0 0 10;
    15 3 2 0 0 10;
    16 3 3 0 0 10;
    17 3 4 0 0 10;
    18 3 5 0 0 10;
    19 3 6 0 0 10;
    20 3 7 0 0 10;
    21 3 8 0 0 10;
    22 3 9 0 0 10;
    23 3 10 0 0 10;
    ];
    

    [ H , W , M ] = reconstruction ( branches , measurements );
    
    % ----- VOLTAGE -----
    % Alta
    series_mag = return_series(t_start , t_stop , 'U_ALTA1');
    temp_mag = series_mag(1);
    series_ang = return_series(t_start , t_stop , 'ANGL_58553_ALTA1_130');
    temp_ang = series_ang(1);
    measurements(1,5) = temp_mag * cos(temp_ang * 2 * pi /360) + i * temp_mag * sin(temp_ang * 2 * pi /360);
    
    % Skaidi
    series_mag = return_series(t_start , t_stop , 'U_SKAIDI1');
    temp_mag = series_mag(1);
    series_ang = return_series(t_start , t_stop , 'ANGL_58583_SKAIDI1_130');
    temp_ang = series_ang(1);
    measurements(2,5) = temp_mag * cos(temp_ang * 2 * pi /360) + i * temp_mag * sin(temp_ang * 2 * pi /360);
    
    % Sautso
    series_mag = return_series(t_start , t_stop , 'U_SAUTSO1');
    temp_mag = series_mag(1);
    series_ang = return_series(t_start , t_stop , 'ANGL_58563_SAUTSO1_130');
    temp_ang = series_ang(1);
    measurements(3,5) = temp_mag * cos(temp_ang * 2 * pi /360) + i * temp_mag * sin(temp_ang * 2 * pi /360);
    
    % Lakselv
    series_mag = return_series(t_start , t_stop , 'U_LAKSELV1');
    temp_mag = series_mag(1);
    series_ang = return_series(t_start , t_stop , 'ANGL_58573_LAKSELV1_130');
    temp_ang = series_ang(1);
    measurements(4,5) = temp_mag * cos(temp_ang * 2 * pi /360) + i * temp_mag * sin(temp_ang * 2 * pi /360);
    
    % Adamselv
    series_mag = return_series(t_start , t_stop , 'U_ADAMSEL1');
    temp_mag = series_mag(1);
    series_ang = return_series(t_start , t_stop , 'ANGL_58653_ADAMSEL1_130');
    temp_ang = series_ang(1);
    measurements(5,5) = temp_mag * cos(temp_ang * 2 * pi /360) + i * temp_mag * sin(temp_ang * 2 * pi /360);
    
    % Tana
    series_mag = return_series(t_start , t_stop , 'U_TANA1');
    temp_mag = series_mag(1);
    series_ang = return_series(t_start , t_stop , 'ANGL_58683_TANA1_130');
    temp_ang = series_ang(1);
    measurements(6,5) = temp_mag * cos(temp_ang * 2 * pi /360) + i * temp_mag * sin(temp_ang * 2 * pi /360);
    
    % Varangerbotn
    series_mag = return_series(t_start , t_stop , 'U_VARANGB1');
    temp_mag = series_mag(1);
    series_ang = return_series(t_start , t_stop , 'ANGL_58703_VARANGB1_130');
    temp_ang = series_ang(1);
    measurements(7,5) = temp_mag * cos(temp_ang * 2 * pi /360) + i * temp_mag * sin(temp_ang * 2 * pi /360);
    
    % Gandvik
    series_mag = return_series(t_start , t_stop , 'U_T_GANDVIK1');
    temp_mag = series_mag(1);
    series_ang = return_series(t_start , t_stop , 'ANGL_58743_T_GANDVIK1_130');
    temp_ang = series_ang(1);
    measurements(8,5) = temp_mag * cos(temp_ang * 2 * pi /360) + i * temp_mag * sin(temp_ang * 2 * pi /360);
    
    % Nedien
    series_mag = return_series(t_start , t_stop , 'U_T_NEIDEN1');
    temp_mag = series_mag(1);
    series_ang = return_series(t_start , t_stop , 'ANGL_58553_ALTA1_130');
    temp_ang = series_ang(1);
    measurements(9,5) = temp_mag * cos(temp_ang * 2 * pi /360) + i * temp_mag * sin(temp_ang * 2 * pi /360);
    
    % Kirkenes
    series_mag = return_series(t_start , t_stop , 'U_KIRKENS1');
    temp_mag = series_mag(1);
    series_ang = return_series(t_start , t_stop , 'ANGL_58803_KIRKENS1_130');
    temp_ang = series_ang(1);
    measurements(10,5) = temp_mag * cos(temp_ang * 2 * pi /360) + i * temp_mag * sin(temp_ang * 2 * pi /360);
    
    
    % ----- CURRENT -----
    voltages = zeros(20,1);
    for n = 1:10
        voltages(2*n-1,1) = real(measurements(n,5));
        voltages(2*n,1) = imag(measurements(n,5));
    end

    for n = 1:18
        teller = 0;
        for t = 1:20
            teller = teller + H(28 + n , t) * voltages(t);
        end
        if mod(n,2) == 1        
            measurements(4 + 1 + floor(n/2),5) = teller;
        else
            measurements(4 + (n/2),5) = measurements(4 + (n/2),5) + teller * i;
        end
    end
    
elseif type == 2
        
        
        
        
        
        
        
        
        
        
        
end