format long

%[data, t] = out2matlab5('simen.out');
%keys(data) %returns all categories
%tab = values(data,{'ANGL_58553_ALTA1_130'});
%celldisp(tab)
%A = cell2mat(tab);

clf;


liste = {
1     'U_ALTA1'
2     'ANGL_58553_ALTA1_130'
3     'U_SKAIDI1'
4     'ANGL_58583_SKAIDI1_130'
5     'U_SAUTSO1'
6     'ANGL_58563_SAUTSO1_130'
7     'U_LAKSELV1'
8     'ANGL_58573_LAKSELV1_130'
9     'U_ADAMSEL1'
10    'ANGL_58653_ADAMSEL1_130'
11    'U_TANA1'
12    'ANGL_58683_TANA1_130'
13    'U_VARANGB1'
14    'ANGL_58703_VARANGB1_130'
15    'U_T_GANDVIK1'
16    'ANGL_58743_T_GANDVIK1_130'
17    'U_T_NEIDEN1'
18    'ANGL_58553_ALTA1_130'
19    'U_KIRKENS1'
20    'ANGL_58803_KIRKENS1_130' };

lineW = 2;

% INPUT!!
sec = 32; % Desired seconds of simulation
tall = 2; % Desired investigated parameter

serie = return_series(15000 , 50000 , 'ANGL_58553_ALTA1_130');




ny_serie = zeros(sec * 1000 / 20  , 1);

plot(result_hybrid(:,tall) ,  'LineWidth',1)
for n = 1:(sec * 1000 / 20)
    ny_serie(n) = serie(n*20);
end
hold on
plot(ny_serie , 'LineWidth',lineW ) %'Color' , [0.8500 , 0.3250 , 0.0980]


for n = 1:(sec * 1000 / 20 + 1)
    ny_serie(n) = result_se(floor(n/500)+1,tall);
end
plot(ny_serie, 'LineWidth',lineW)

xlim([1 1600])

% Legend entry
legend_1=legend('Hybrid Estimator','Actual values','Classical Estimator');
% Legend size
set(legend_1, 'FontSize',17);
% Title entry
title('Dynamic Behaviour Handling Test : Alta Substation voltage angle : PMU weight = age adjusted');
% Labels entry and size
ylabel('Bus voltage angle [mag]', 'FontSize', 20);
xlabel('Time [seconds]', 'FontSize', 20);
% Gridlines
grid on
% X-axis ticks
set(gca,'XTick',0:100:1600)
set(gca,'XTickLabel',{'0' , '2' , '4' , '6' , '8' , '10' , '12' , '14' , '16' , '18' , '20' , '22' , '24' , '26' , '28' , '30' , '32'}, 'FontSize', 16);

%axis([1 1600 1.038 1.068])

% xlim([250 500])
% 
% % Legend entry
% legend_1=legend('Hybrid Estimator','Actual values','Classical Estimator');
% % Legend size
% set(legend_1, 'FontSize',17);
% % Title entry
% title('Dynamic Behaviour Handling Test : Varangerbotn Substation voltage angle : PMU weight = 5');
% % Labels entry and size
% ylabel('Bus voltage angle [deg]', 'FontSize', 20);
% xlabel('Time [seconds]', 'FontSize', 20);
% % Gridlines
% grid on
% % X-axis ticks
% set(gca,'XTick',250:50:500)
% set(gca,'XTickLabel',{'5' , '6' , '7' , '8' , '9' , '10' }, 'FontSize', 16);
% 
% %axis([1 1600 1.038 1.068])