function [ V ] = estimator( measurement_units , branches )

% FOR INCLUSION OF MEASUREMENT ERRORS
measurement_units = error_generator(measurement_units);



% FOR TESTING: changing a\confidence of all measurements of same types:
num_t_1 = 0; % Amount of type 1 measurements
num_t_2 = 0; % Amount of type 2 measurements
num_t_3 = 0; % Amount of type 3 measurements
for n = 1:length(measurement_units)
    if measurement_units(n,2) == 1      
        num_t_1 = num_t_1 + 1;
    elseif measurement_units(n,2) == 2
        num_t_2 = num_t_2 + 1;
    elseif measurement_units(n,2) == 3
        num_t_3 = num_t_3 + 1;
    end
end
for n = 1:num_t_1                               % Type 1
    measurement_units(n,6) =                    5;
end
for n = 1:num_t_2                               % Type 2
    measurement_units(num_t_1+n,6) =            5;
end
for n = 1:num_t_3                               % Type 3
    measurement_units(num_t_1+num_t_2+n,6) =    1;
end

error_cl = wls_function(  );

for n = 1:num_t_3
   [X Y] = pol2cart(error_cl(n,3)*2*pi/360,error_cl(n,2));
   measurement_units(n + num_t_1 + num_t_2, 5) = X + j*Y;
end


[ H , W , M ] = reconstruction ( branches , measurement_units );


% ---------------------FOR TESTING----------------------------------
% --------------- PSSE calculated bus voltages -----------------
% [Bus_nr , V_Amplitude , V_Angle]
PSSE = [
    1 1.0521 74.2;
    2 1.0489 72.1;
    3 1.0568 74.96;
    4 1.0454 73.93;
    5 1.05 78.4;
    6 1.0394 78.04;
    7 1.0381 78.17;
    8 1.0425 79.45;
    9 1.0471 81.02;
    10 1.0508 82.5
    ];
% Recalculation to rectangular coordinates
for i = 1:length(PSSE)
    PSSE_rec(i,1) = i;
    [PSSE_rec(i,2),PSSE_rec(i,3)] = pol2cart(PSSE(i,3)*2*pi/360 , PSSE(i,2));
end
%current_calculation ( measurement_units, H , PSSE_rec)

V = estimation( M, H, W );


